Results 1 to 3 of 3

Thread: OS upgrade activity for zcs-NETWORK-7.2.4 causes ldap crash

  1. #1
    sohailmeer is offline Member
    Join Date
    Sep 2013
    Posts
    12
    Rep Power
    1

    Default OS upgrade activity for zcs-NETWORK-7.2.4 causes ldap crash

    one of my customer running zcs-NETWORK-7.2.4 atop RHEL 5.8(64 bit) has asked us to upgrade their OS to RHEL 6.4(64 bit)

    in my lab setup I followed the two resources
    1 - Moving ZCS to Another Server :: Zimbra :: Blog
    2 - http://www.zimbra.com/forums/adminis....html#poststop

    after running "./install -s" the last time and just before running /opt/zimbra/libexec/zmsetup.pl I did following
    Code:
    [root@zcs ~]# /opt/zimbra/libexec/zmfixperms -extended
    
    [root@zcs ~]# cd /opt/zimbra/data/ldap/hdb/db
    [root@zcs db]# /opt/zimbra/bdb-4.7.25.4/bin/db_recover -v
    Finding last valid log LSN: file: 1 offset 4244514
    Recovery starting from [1][4244369]
    Recovery complete at Mon Sep 30 02:08:03 2013
    Maximum transaction ID 80000016 Recovery checkpoint [1][4244514]
    [root@zcs db]# 
    
    [root@zcs ~]# su - zimbra
    [zimbra@zcs ~]$ cd /opt/zimbra/data/ldap/hdb/logs
    [zimbra@zcs logs]$ ls
    log.0000000001
    [zimbra@zcs logs]$ /opt/zimbra/bdb/bin/db_recover -v
    Finding last valid log LSN: file: 1 offset 4391470
    Recovery starting from [1][4391342]
    Recovery complete at Mon Sep 30 04:17:52 2013
    Maximum transaction ID 8000001c Recovery checkpoint [1][4391470]
    
    [zimbra@zcs logs]$ cd /opt/zimbra/data/ldap/hdb/db
    [zimbra@zcs db]$ /opt/zimbra/bdb/bin/db_recover -v
    Finding last valid log LSN: file: 1 offset 4391562
    Recovery starting from [1][4391434]
    Recovery complete at Mon Sep 30 04:18:00 2013
    Maximum transaction ID 8000001c Recovery checkpoint [1][4391562]
    then I ran the /opt/zimbra/libexec/zmsetup.pl and got the following errors
    Code:
    Mon Sep 30 04:09:12 2013 This appears to be 7.2.4_GA
    Mon Sep 30 04:09:12 2013 Checking ldap status...
    Mon Sep 30 04:09:12 2013 *** Running as zimbra user: /opt/zimbra/bin/ldap status
    Mon Sep 30 04:09:13 2013 not running.
    Mon Sep 30 04:09:13 2013 Running zmldapapplyldif...
    Mon Sep 30 04:09:13 2013 *** Running as zimbra user: /opt/zimbra/libexec/zmldapapplyldif
    IO::Socket::INET: connect: Connection refused at /opt/zimbra/libexec/zmldapapplyldif line 122.
    Mon Sep 30 04:09:53 2013 failed.
    Mon Sep 30 04:09:53 2013 Checking ldap status...
    Mon Sep 30 04:09:53 2013 *** Running as zimbra user: /opt/zimbra/bin/ldap status
    Mon Sep 30 04:09:54 2013 not running.
    Mon Sep 30 04:09:54 2013 Starting ldap...
    Mon Sep 30 04:09:54 2013 *** Running as zimbra user: /opt/zimbra/bin/ldap start
    Failed to start slapd.  Attempting debug start to determine error.
    52495c26 backend_startup_one (type=hdb, suffix=""): bi_db_open failed! (-1)
    52495c26 bdb_db_close: database "": alock_close failed
    
    Mon Sep 30 04:10:30 2013 failed with exit code: 256.
    Mon Sep 30 04:12:07 2013 UPGRADE FAILED - exiting.
    please help
    Last edited by sohailmeer; 09-30-2013 at 11:19 PM.

  2. #2
    dipeshmehta is offline Special Member
    Join Date
    Jun 2010
    Location
    Rajkot, India
    Posts
    160
    Rep Power
    5

    Default

    Hi,

    I ran into the same problem while upgrading my server OS with ZCS 7.1.3. The reason behind this failure I found that 7.1.3 is patched version i.e. a patch was issued for the said version. Similar issue is for yours too, i.e. ZCS 7.2.4 also has been issued a patch for the same. In such case, first upgrade your ZCS setup to 7.2.5 on RHEL 5.8 and then upgrade OS, then install ZCS 7.2.5 on RHEL 6.4.

    Post here your experience.

    Dipesh

  3. #3
    sohailmeer is offline Member
    Join Date
    Sep 2013
    Posts
    12
    Rep Power
    1

    Default

    Quote Originally Posted by dipeshmehta View Post
    Hi,

    I ran into the same problem while upgrading my server OS with ZCS 7.1.3. The reason behind this failure I found that 7.1.3 is patched version i.e. a patch was issued for the said version. Similar issue is for yours too, i.e. ZCS 7.2.4 also has been issued a patch for the same. In such case, first upgrade your ZCS setup to 7.2.5 on RHEL 5.8 and then upgrade OS, then install ZCS 7.2.5 on RHEL 6.4.

    Post here your experience.

    Dipesh
    Sorry for replying so late.

    Yes per your instructions I went with zcs 7.2.5, and it went smooth without any error ;-)... so thanks a lot.

    But I must add that its quite strange, zcs-7.2.5 was recently released .. i.e somewhere in September 2013, so what if I was doing this excercise anytime before September 2013 ?

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. OS upgrade activity for zcs-NETWORK-7.2.4
    By sohailmeer in forum Administrators
    Replies: 8
    Last Post: 10-02-2013, 10:03 PM
  2. zimbra LDAP crash when start
    By hrch in forum Administrators
    Replies: 7
    Last Post: 08-16-2011, 12:45 AM
  3. Replies: 5
    Last Post: 03-02-2011, 02:16 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •